Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162121 - Installer does not recognize existing FC3 on FC4 Install
Summary: Installer does not recognize existing FC3 on FC4 Install
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 04:15 UTC by Andy Schlei
Modified: 2008-02-17 19:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-17 19:57:48 UTC


Attachments (Terms of Use)
Anaconda.log from installation choice screen (deleted)
2005-07-20 01:42 UTC, Andy Schlei
no flags Details
Syslog from anaconda selection screen (deleted)
2005-07-20 01:43 UTC, Andy Schlei
no flags Details

Description Andy Schlei 2005-06-30 04:15:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Installing FC4 from either HTTP or DVD, over existing SMP install of FC3.  Installer looks for, but does not find, existing implementation, so only offers install, not upgrade options.

Upgrade has worked on non-SMP install of FC3

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.35_FC3

How reproducible:
Always

Steps to Reproduce:
1. Boot from DVD or boot.iso image
2. Start install process, select language, etc.
3. Anaconda offers only install, not upgrad options
  

Actual Results:  Anaconda goes down install, not upgrade path

Expected Results:  offers to upgrade current FC3 installation

Additional info:

Here is FSTAB:
/dev/VolGroup00/LogVol00 /                       ext3    defaults        1 1
/dev/VolGroup00/lvhome  /home                   ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /proc                   proc    defaults        0 0
none                    /sys                    sysfs   defaults        0 0
/dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0
/dev/hdd                /media/cdrecorder       auto    pamconsole,exec,noauto,managed 0 0
/dev/fd0                /media/floppy           auto    pamconsole,exec,noauto,managed 0 0


Here is output from df -h

Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                       93G   15G   75G  17% /
/dev/mapper/VolGroup00-lvhome
                      147G   69G   71G  50% /home
/dev/hda1              99M   32M   63M  34% /boot
none                  251M     0  251M   0% /dev/shm

Comment 1 Jeremy Katz 2005-07-08 18:29:27 UTC
What are the contents of /etc/fedora-release?  Also, does it work if you boot
with 'linux upgradeany'?

Comment 2 Andy Schlei 2005-07-18 01:14:31 UTC
Sorry for the delay in responding, I've been on vacation.

/etc/fedora-release is:
[andy@FedoraServer ~]$ cat /etc/fedora-release
Fedora Core release 3 (Heidelberg)
-------------

I booted from the boot.iso boot disc, ran with "linux upgradeany" and it still
did not find the existing installation and went immediately to the clean install
dialogs.


Comment 3 Jeremy Katz 2005-07-18 19:19:20 UTC
Can you switch to tty2 at the screen with the desktop, workstation and custom
choices and grab /tmp/anaconda.log and /tmp/syslog to attach here?

Comment 4 Andy Schlei 2005-07-20 01:42:09 UTC
Created attachment 116958 [details]
Anaconda.log from installation choice screen

Comment 5 Andy Schlei 2005-07-20 01:43:19 UTC
Created attachment 116959 [details]
Syslog from anaconda selection screen

As requested, the two files from tty2 during install process

Comment 6 Andy Schlei 2005-07-20 01:46:33 UTC
Files attached as requested.

Comment 7 Jeremy Katz 2005-07-26 03:56:40 UTC
For some reason, running the lvm commands is failing

Comment 8 Christian Iseli 2007-01-20 00:13:45 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 9 Andy Schlei 2007-01-20 18:43:00 UTC
This bug is no longer relevant.  I cannot see if it is still a problem since all
my systems are now on FC6.


Note You need to log in before you can comment on or make changes to this bug.